Subject: Re: problem with git gui on cygwin.

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 11 Nov 2008 09:05:57 -0800

Jim Jensen <[email-masked]> wrote:
> I have been trying to use git for a small project using cygwin.  I copied my
> repository from one windows XP system to a Vista system using a usb drive.  On
> the new system when I use "git gui" I get a pop up that says "Git directory not
> found: .git"
> 
> This happens with git gui and gitk.  The command line programs I tried, git show
> and git status appear to work.

Huh.  Sounds like the Tcl/Tk process isn't spawning the Cygwin git
process in the right directory or something.  Weird that both git-gui
and gitk are giving you errors; usually its git-gui that is being
paranoid about the repository structure and gitk works just fine.

You can try starting `git gui --trace` and see if that tells you
any more detail, but it doesn't show cwd so it may not be all that
useful to help you debug it.

-- 
Shawn.